Subject: Re: [PATCH v2 0/2] mmc: hisilicon: Convert dw-mshc bindings and fix dtbs

From: Wei Xu <[email-masked]>
Date: Thu, 26 Mar 2026 20:53:27 +0800

Hi Uffe,

On 2026/3/26 20:39, Ulf Hansson wrote:
> On Thu, 26 Mar 2026 at 12:19, Wei Xu <[email-masked]> wrote:
>>
>> Hi Bhargav,
>>
>> On 2026/3/26 6:54, Bhargav Joshi wrote:
>>> This series converts the Hisilicon dw-mshc text bindings to DT schema
>>> format and cleans up legacy node names in Hisilicon board files.
>>>
>>> While testing the new YAML schema, dtbs_check flagged the hi3660,
>>> hi3670, and hi6220 SoC files for using the non-standard 'dwmmc' node
>>> name prefix. resulting in warnings.
>>>
>>> Patch 1 Convert to DT schema
>>> Patch 2 updates the Hisilicon dtsi files to use standard 'mmc'
>>> node name.
>>>
>>> Changes in v2:
>>>  - Patch 1:
>>>     - Grouped compatible strings into an enum.
>>>     - Replaced raw numbers with proper flags.
>>>     - Fixed property order and removed invalid hex values.
>>>     - Added explanation for clock order change in commit message.
>>>     - Collected Acked-by tag.
>>>  - Patch 2:
>>>     - No code changes.
>>>     - Collected Acked-by and Reviewed-by tags.
>>>
>>> Signed-off-by: Bhargav Joshi <[email-masked]>
>>> ---
>>> Note: this patch is part of the process for applying to GSoC device
>>> tree bindings conversion project #
>>> https://github.com/LinuxFoundationGSoC/ProjectIdeas/wiki/GSoC-2026-Device-Tree-Bindings
>>>
>>> - The file is enabled by arm64 defconfig (CONFIG_MMC_DW_K3=y)
>>> - It is used in following
>>>     /arch/arm64/boot/dts/hisilicon/hi3660.dtsi
>>>     -included by /arch/arm64/boot/dts/hisilicon/hi3660-hikey960.dts
>>>     /arch/arm64/boot/dts/hisilicon/hi3670.dtsi
>>>     -included by /arch/arm64/boot/dts/hisilicon/hi3670-hikey970.dts
>>>
>>> Bhargav Joshi (2):
>>>   dt-bindings: mmc: hisilicon,hi3660-dw-mshc: Convert to DT schema
>>>   arm64: dts: hisilicon: Rename dwmmc nodes to mmc
>>>
>>>  .../mmc/hisilicon,hi3660-dw-mshc.yaml         | 117 ++++++++++++++++++
>>>  .../devicetree/bindings/mmc/k3-dw-mshc.txt    |  73 -----------
>>>  arch/arm64/boot/dts/hisilicon/hi3660.dtsi     |   4 +-
>>>  arch/arm64/boot/dts/hisilicon/hi3670.dtsi     |   4 +-
>>>  arch/arm64/boot/dts/hisilicon/hi6220.dtsi     |   6 +-
>>>  5 files changed, 124 insertions(+), 80 deletions(-)
>>>  create mode 100644 Documentation/devicetree/bindings/mmc/hisilicon,hi3660-dw-mshc.yaml
>>>  delete mode 100644 Documentation/devicetree/bindings/mmc/k3-dw-mshc.txt
>>>
>>
>> Series applied to the HiSilicon arm64 dt tree.
>> Thanks!
>>
>> Best Regards,
>> Wei
> 
> Usually I pick DT bindings (patch1/2) for mmc via my mmc tree and I
> also just did. Would it be possible for you to drop patch1/2 from your
> tree?

So I will drop them.
Thanks!

Best Regards,
Wei 

> Kind regards
> Uffe
> .